<?php
use setasign\Fpdi\Fpdi;

include '../common.php';
require __DIR__ . '/../vendor/autoload.php';

ini_set('error_reporting', 1);
ini_set('display_errors',1);


// initiate FPDI
$pdf = new Fpdi();

// add a page
$pdf->AddPage();

// set the source file
$pdf->setSourceFile('Innlevering 8_velkomstbrev.pdf');

// import page 1
$tplIdx = $pdf->importPage(1);

$pdf->useTemplate($tplIdx);

// now write some text above the imported page
$pdf->SetFont('Arial', '', 11);
$pdf->SetTextColor(48, 48, 48);
$pdf->SetXY(35, 101.8);
$pdf->Write(0, utf8_decode('Jens Jenssen'));

$pdf->SetXY(25, 270);
$pdf->Write(0, utf8_decode('Oslo'));

$pdf->SetXY(25, 275);
$pdf->Write(0, (new DateTime())->format('d.m.y'));
$pdf->Image('https://www.thispersondoesnotexist.com/image',125,225,60,0,'JPEG');

$pdf->Output('I', 'generated.pdf');

?><!DOCTYPE html>
<html lang="no">
<head>
    <title><?=title();?></title>
    <link rel="stylesheet" href="../index.css">
</head>
<body>

<div class="container">
    <h1><?=title();?></h1>
    <h4><?=getNavigation();?></h4>
    <h2>Lese informasjon om filer</h2>

    <?php
    // Scan nåværende mappe med scandir();
    $katalog = array_diff( scandir("./"), array('..','.'));

    foreach ($katalog as $fil){
        echo "<p>$fil</p>";
    }

    ?>
</div>

</body>
</html>